## com.fasterxml.jackson.core.format
Interface InputAccessor

All Known Implementing Classes:
  InputAccessor.Std

    public interface InputAccessor

Interface used to expose beginning of a data file to data format detection code.

Nested Class Summary
`static class` `InputAccessor.Std` Basic implementation that reads data from given `InputStream` and buffers it as necessary.

Method Summary
`boolean` `hasMoreBytes()` Method to call to check if more input is available.
`byte` `nextByte()` Returns next byte available, if any; if no more bytes are available, will throw `EOFException`.
`void` `reset()` Method that can be called to reset accessor to read from beginning of input.

Method Detail

### hasMoreBytes

    boolean hasMoreBytes()
                         throws IOException

  Method to call to check if more input is available. Since this may result in more content to be read (at least one more byte), a `IOException` may get thrown.

  Throws:
    `IOException`

### nextByte

    byte nextByte()
                  throws IOException

  Returns next byte available, if any; if no more bytes are available, will throw `EOFException`.

  Throws:
    `IOException`

### reset

    void reset()

  Method that can be called to reset accessor to read from beginning of input.

Copyright © 2012 fasterxml.com. All Rights Reserved.